package com.ruoyi.web.modules.finance.domain;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 店铺钱包 biz_shop_wallet
 */
public class BizShopWallet
{
    private Long walletId;

    private Long shopId;

    private BigDecimal availableBalance;

    private BigDecimal frozenAmount;

    private Date updateTime;

    public Long getWalletId()
    {
        return walletId;
    }

    public void setWalletId(Long walletId)
    {
        this.walletId = walletId;
    }

    public Long getShopId()
    {
        return shopId;
    }

    public void setShopId(Long shopId)
    {
        this.shopId = shopId;
    }

    public BigDecimal getAvailableBalance()
    {
        return availableBalance;
    }

    public void setAvailableBalance(BigDecimal availableBalance)
    {
        this.availableBalance = availableBalance;
    }

    public BigDecimal getFrozenAmount()
    {
        return frozenAmount;
    }

    public void setFrozenAmount(BigDecimal frozenAmount)
    {
        this.frozenAmount = frozenAmount;
    }

    public Date getUpdateTime()
    {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime)
    {
        this.updateTime = updateTime;
    }
}
